javax.persistence

## Annotation Type IdClass

    @Target(value=TYPE)
     @Retention(value=RUNTIME)
    public @interface IdClass

Specifies a composite primary key class that is mapped to multiple fields or properties of the entity.

The names of the fields or properties in the primary key class and the primary key fields or properties of the entity must correspond and their types must be the same.

       Example:

       @IdClass(com.acme.EmployeePK.class)
       @Entity
       public class Employee {
          @Id String empName;
          @Id Date birthDay;
          ...
       }

Since:
  Java Persistence 1.0

### Required Element Summary

Required Elements
`java.lang.Class` `value` Primary key class

### Element Detail

#### value

    public abstract java.lang.Class value

Primary key class